<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.wx.mapper.SystemWechatConfigMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap" type="com.storlead.wx.pojo.vo.SystemWechatConfigEntity">
        <id column="id" property="id" />
        <result column="corp_id" property="corpId" />
        <result column="corp_address_secret" property="corpAddressSecret" />
        <result column="corp_agent_id" property="corpAgentId" />
        <result column="corp_agent_secret" property="corpAgentSecret" />
        <result column="wechat_message_callback_url" property="wechatMessageCallbackUrl" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, corp_id, corp_address_secret, corp_agent_id,wechat_message_callback_url, corp_agent_secret, <include refid="com.storlead.frame.mapper.SysBaseFieldMapper.Base_Column_List"></include>
    </sql>

</mapper>
